Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.lucene.search.highlight
Interface Fragmenter

All Known Implementing Classes:
  NullFragmenter, SimpleFragmenter, SimpleSpanFragmenter

    public interface Fragmenter

Implements the policy for breaking text into multiple fragments for consideration by the `Highlighter` class. A sophisticated implementation may do this on the basis of detecting end of sentences in the text.

Method Summary
`boolean` | `isNewFragment(Token nextToken)` Test to see if this token from the stream should be held in a new TextFragment
`void` | `start(String originalText)` Initializes the Fragmenter

Method Detail

### start

    void start(String originalText)

  Initializes the Fragmenter

  Parameters:
    `originalText` -

### isNewFragment

    boolean isNewFragment(Token nextToken)

  Test to see if this token from the stream should be held in a new TextFragment

  Parameters:
    `nextToken` -

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2009 Apache Software Foundation. All Rights Reserved.